Bug 1714090 - Review Request: golist - A tool to analyse the properties of a Go (Golang) codebase
Summary: Review Request: golist - A tool to analyse the properties of a Go (Golang) co...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1717188
TreeView+ depends on / blocked
 
Reported: 2019-05-27 05:38 UTC by Elliott Sales de Andrade
Modified: 2019-08-08 09:16 UTC (History)
4 users (show)

Fixed In Version: golist-0.10.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 09:16:42 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-05-27 05:38:09 UTC
Spec URL: https://qulogic.fedorapeople.org//golang-pagure-golist.spec
SRPM URL: https://qulogic.fedorapeople.org//golang-pagure-golist-0.10.0-1.fc30.src.rpm

Description:

A tool to analyse the properties of a Go (Golang) codebase.

Comment 1 Elliott Sales de Andrade 2019-05-27 05:41:05 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35081160

Comment 2 Fabio Valentini 2019-05-27 08:15:45 UTC
Side note: According to the new golang packaging guidelines, "golist" would qualify as a "well known binary", where using "Name: golist" instead of "Name: %{goname}" would be recommended.

Comment 3 Elliott Sales de Andrade 2019-05-27 21:12:33 UTC
I named it with the assumption that this is well-known-to-Fedora-Go-packagers, but not well-known-to-the-community. I don't know if we should rename or add a Provides (like Rust people do).

Comment 4 Elliott Sales de Andrade 2019-05-28 18:17:55 UTC
We discussed at the Go SIG meeting and decided to go with golist for the name.

Spec URL: https://qulogic.fedorapeople.org/golist.spec
SRPM URL: https://qulogic.fedorapeople.org/golist-0.10.0-1.fc30.src.rpm

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35113864

Comment 5 Robert-André Mauchin 2019-06-04 13:03:52 UTC

 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 6 Gwyn Ciesla 2019-06-04 21:45:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golist

Comment 7 Elliott Sales de Andrade 2019-06-08 01:08:01 UTC
This is built in Rawhide at least; not sure if we'll backport to other releases yet.

Comment 8 Elliott Sales de Andrade 2019-08-08 09:16:42 UTC
Seems like not.


Note You need to log in before you can comment on or make changes to this bug.